Debian Bug report logs - #583120
Hibernate broken when KMS enabled on Radeon Mobility M6 LY

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>

Date: Tue, 25 May 2010 14:57:01 UTC

Severity: important

Tags: upstream

Found in versions 2.6.32-18, 2.6.39-2, 2.6.36~rc6-1~experimental.1, 2.6.32-25, 2.6.32-13, 2.6.35-1~experimental.1, 2.6.32-20

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=38554

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#583120; Package xserver-xorg-video-radeon. (Tue, 25 May 2010 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 25 May 2010 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-radeon: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Tue, 25 May 2010 16:51:15 +0200
Package: xserver-xorg-video-radeon
Version: 1:6.13.0-2
Severity: important


I tested radeon KMS on a squeeze system, with xserver-xorg-video-radeon
and some related packages as well as kernel 2.6.32-5 from unstable on an
IBM thinkpad X32.

It works quite well but it breaks suspend/hibernate. The system hangs
during the suspend process, after that pm-utils write "performing
hibernate" in its logs (all hooks succeded).

I tested with and without the uswsusp package installed, which didn't
changed anything.

I tried to add-remove some hooks, but this was also unsuccessful. I
tested the following combinaisons:

--quirk-test --quirk-radeon-off --quirk-s3-bios --quirk-s3-mode
  --quirk-dpms-suspend
--quirk-test --quirk-s3-bios --quirk-s3-mode --quirk-dpms-suspend
--quirk-test --quirk-radeon-off --quirk-s3-bios --quirk-s3-mode

When disabling KMS with radeon.modeset=0 on the kernel command line,
hibernation works well.

I don't know if I should tag this "critical" or not, so I let you
decide.

-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Dec  4 20:53 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1725256 May  4 15:51 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r----- 1 root root 816 Dec 30 16:41 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:


Kernel version (/proc/version):
Linux version 2.6.32-5-686 (Debian 2.6.32-12) (ben@decadent.org.uk) (gcc version 4.3.4 (Debian 4.3.4-10) ) #1 SMP Sat May 1 04:16:37 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 42154 May 24 18:51 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 51545 May 25 16:24 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-4-686 i686 Debian
Current Operating System: Linux host 2.6.32-5-686 #1 SMP Sat May 1 04:16:37 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/host-racine ro hpet=force nomodeset nomodset radeon.modeset=0
Build Date: 04 May 2010  03:43:42PM
xorg-server 2:1.7.7-1 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat May 22 16:21:28 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) No monitor specified for screen "Default Screen".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81ea020
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 1002:4c59:1014:052f ATI Technologies Inc Radeon Mobility M6 LY rev 0, Mem @ 0xe0000000/134217728, 0xc0100000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 6.12.6
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 6.13.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON: Driver for ATI Radeon chipsets:
	ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
	ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
	ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
	ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
	ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
	ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
	ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
	ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
	ATI Radeon 9800XT NJ (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
	ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
	ATI Radeon Mobility X300 (M22) 5460 (PCIE),
	ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
	ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
	ATI FireGL unknown (R423) UR (PCIE),
	ATI FireGL unknown (R423) UT (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 XL (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835,
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE),
	ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI Radeon X550 (RV370) 5B63 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE),
	ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
	ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
	ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
	ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
	ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
	ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
	ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
	ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
	ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
	ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
	ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
	ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
	ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
	ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
	ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
	ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
	ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
	ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
	ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
	ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
	ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
	ATI Mobility Radeon X1700, ATI Radeon X2300HD,
	ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
	ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
	ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
	ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
	ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
	ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
	ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
	ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
	ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
	ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
	ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
	ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
	ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
	ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
	ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
	ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
	AMD FireStream 9250, ATI FirePro V8700 (FireGL),
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI Radeon 4800 Series, ATI Radeon 4800 Series, ATI FirePro M7750,
	ATI M98, ATI M98, ATI M98, ATI Mobility Radeon HD 4650,
	ATI Radeon RV730 (AGP), ATI Mobility Radeon HD 4670,
	ATI FirePro M5750, ATI Radeon RV730 (AGP),
	ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
	ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
	ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
	ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
	ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
	ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
	ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
	ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
	ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
	ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
	ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
	ATI Mobility Radeon HD 3850 X2, ATI RV670,
	ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
	ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
	ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
	ATI Radeon RV710, ATI Radeon RV710, ATI Radeon HD 4350,
	ATI Mobility Radeon 4300 Series, ATI Mobility Radeon 4500 Series,
	ATI Mobility Radeon 4500 Series, ATI FirePro RG220, ATI RV630,
	ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
	ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
	ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
	ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
	ATI FireGL V3600, ATI Radeon HD 2600 LE,
	ATI Mobility FireGL Graphics Processor, ATI Radeon RV710,
	ATI Radeon HD 3470, ATI Mobility Radeon HD 3430,
	ATI Mobility Radeon HD 3400 Series, ATI Radeon HD 3450,
	ATI Radeon HD 3450, ATI Radeon HD 3430, ATI Radeon HD 3450,
	ATI FirePro V3700, ATI FireMV 2450, ATI FireMV 2260, ATI FireMV 2260,
	ATI Radeon HD 3600 Series, ATI Radeon HD 3650 AGP,
	ATI Radeon HD 3600 PRO, ATI Radeon HD 3600 XT,
	ATI Radeon HD 3600 PRO, ATI Mobility Radeon HD 3650,
	ATI Mobility Radeon HD 3670, ATI Mobility FireGL V5700,
	ATI Mobility FireGL V5725, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3100 Graphics, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3100 Graphics, ATI Radeon HD 3300 Graphics,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3000 Graphics,
	ATI Radeon HD 4200, ATI Radeon 4100, ATI Mobility Radeon HD 4200,
	ATI Mobility Radeon 4100, ATI Radeon HD 4290, ATI Radeon HD 4290,
	CYPRESS, ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
	ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
	ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
	CEDAR
(II) Primary Device is: PCI 01@00:00:0
(II) [KMS] drm report modesetting isn't supported.
(II) RADEON(0): TOTO SAYS 00000000c0100000
(II) RADEON(0): MMIO registers at 0x00000000c0100000: size 64KB
(II) RADEON(0): PCI bus 1 card 0 func 0
(==) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(**) RADEON(0): Option "SWcursor" "off"
(**) RADEON(0): Option "AGPMode" "4"
(**) RADEON(0): Option "AGPSize" "32"
(**) RADEON(0): Option "GARTSize" "32"
(**) RADEON(0): Option "EnableDepthMoves" "true"
(**) RADEON(0): Option "EnablePageFlip" "on"
(**) RADEON(0): Option "ColorTiling" "on"
(**) RADEON(0): Option "RenderAccel" "true"
(**) RADEON(0): Option "AccelMethod" "XXA"
(**) RADEON(0): Option "DRI" "true"
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Radeon Mobility M6 LY (AGP)" (ChipID = 0x4c59)
(--) RADEON(0): Linear framebuffer at 0x00000000e0000000
(II) RADEON(0): AGP card detected
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(II) RADEON(0): Legacy BIOS detected
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version 1.32.0
(**) RADEON(0): Page Flipping enabled
(II) RADEON(0): Will try to use DMA for Xv image transfers
(II) RADEON(0): Detected total video RAM=16384K, accessible=65536K (PCI BAR=131072K)
(--) RADEON(0): Mapped VideoRAM: 16384 kByte (32 bit DDR SDRAM)
(II) RADEON(0): Color tiling enabled by default
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) RADEON(0): ref_freq: 2700, min_out_pll: 12000, max_out_pll: 35000, min_in_pll: 40, max_in_pll: 3000, xclk: 14400, sclk: 144.000000, mclk: 144.000000
(II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=14400
(II) RADEON(0): Panel ID string: 1024x768                
(II) RADEON(0): Panel Size from BIOS: 1024x768
(II) RADEON(0): BIOS provided dividers will be used.
(WW) RADEON(0): LVDS Info:
XRes: 1024, YRes: 768, DotClock: 65000
HBlank: 320, HOverPlus: 16, HSyncWidth: 136
VBlank: 38, VOverPlus: 2, VSyncWidth: 6
(II) RADEON(0): Output VGA-0 has no monitor section
(II) RADEON(0): I2C bus "VGA-0" initialized.
(II) RADEON(0): Output LVDS has no monitor section
(II) RADEON(0): Port0:
  XRANDR name: VGA-0
  Connector: VGA
  CRT1: INTERNAL_DAC1
  DDC reg: 0x60
(II) RADEON(0): Port1:
  XRANDR name: LVDS
  Connector: LVDS
  LCD1: INTERNAL_LVDS
  DDC reg: 0x0
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
finished output detect: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
finished output detect: 1
finished all detect
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Not using default mode "640x350" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x175" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x400" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x200" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "720x400" (vrefresh out of range)
(II) RADEON(0): Not using default mode "360x200" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x480" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x480" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x480" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (interlace mode not supported)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (vrefresh out of range)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (vrefresh out of range)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (vrefresh out of range)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x960" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x960" (vrefresh out of range)
(II) RADEON(0): Not using default mode "640x480" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x1024" (hsync out of range)
(II) RADEON(0): Not using default mode "640x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) RADEON(0): Not using default mode "640x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) RADEON(0): Not using default mode "640x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) RADEON(0): Not using default mode "896x672" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) RADEON(0): Not using default mode "896x672" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) RADEON(0): Not using default mode "928x696" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) RADEON(0): Not using default mode "928x696" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) RADEON(0): Not using default mode "960x720" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) RADEON(0): Not using default mode "960x720" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "832x624" (vrefresh out of range)
(II) RADEON(0): Not using default mode "416x312" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (hsync out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) RADEON(0): Not using default mode "680x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) RADEON(0): Not using default mode "680x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1440x900" (hsync out of range)
(II) RADEON(0): Not using default mode "720x450" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1024" (hsync out of range)
(II) RADEON(0): Not using default mode "800x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1080" (height too large for virtual size)
(II) RADEON(0): Not using default mode "960x540" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1200" (height too large for virtual size)
(II) RADEON(0): Not using default mode "960x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) RADEON(0): Not using default mode "960x720" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) RADEON(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) RADEON(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) RADEON(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) RADEON(0): Printing probed modes for output LVDS
(II) RADEON(0): Modeline "1024x768"x60.0   65.00  1024 1040 1176 1344  768 770 776 806 (48.4 kHz)
(II) RADEON(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) RADEON(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
(II) RADEON(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
(II) RADEON(0): Output VGA-0 disconnected
(II) RADEON(0): Output LVDS connected
(II) RADEON(0): Using exact sizes for initial modes
(II) RADEON(0): Output LVDS using initial mode 1024x768
(II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) RADEON(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(==) RADEON(0): Using XAA acceleration architecture
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.2.1
	ABI class: X.Org Video Driver, version 6.0
(==) RADEON(0): Assuming overlay scaler buffer width is 1536
(II) RADEON(0): No MM_TABLE found - assuming CARD is not TV-in capable.
(!!) RADEON(0): MergedFB support has been removed and replaced with xrandr 1.2 support
(--) Depth 24 pixmap format is 32 bpp
(II) RADEON(0): RADEONScreenInit e0000000 0 0
Entering TV Save
Save TV timing tables
saveTimingTables: reading timing tables
TV Save done
disable LVDS
(II) RADEON(0): Dynamic Power Management Disabled
(II) RADEON(0): Color tiling not supported with virtual x resolutions larger than 2048, disabling
(==) RADEON(0): Using 24 bit depth buffer
(II) RADEON(0): RADEONInitMemoryMap() : 
(II) RADEON(0):   mem_size         : 0x04000000
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(II) RADEON(0): Depth moves don't work without color tiling, disabled
(II) RADEON(0): Using 32 MB GART aperture
(II) RADEON(0): Using 1 MB for the ring buffer
(II) RADEON(0): Using 2 MB for vertex/indirect buffers
(II) RADEON(0): Using 29 MB for GART textures
(II) RADEON(0): Memory manager initialized to (0,0) (2752,1524)
(II) RADEON(0): Reserved area from (0,1050) to (2752,1052)
(II) RADEON(0): Largest offscreen area available: 2752 x 472
(II) RADEON(0): Will use front buffer at offset 0x0
(II) RADEON(0): Will use back buffer at offset 0xff9e4000
(II) RADEON(0): Will use depth buffer at offset 0x4ea000
(II) RADEON(0): Will use 0 kb for textures at offset 0x1000000
(EE) RADEON(0): Static buffer allocation failed.  Disabling DRI.
(EE) RADEON(0): At least 33863 kB of video memory needed at this resolution and depth.
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(==) RADEON(0): Backing store disabled
(WW) RADEON(0): Direct rendering disabled
(II) RADEON(0): Render acceleration disabled
(**) RADEON(0): Option "XaaNoOffscreenPixmaps" "true"
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Setting up tile and stipple cache:
		32 128x128 slots
		7 256x256 slots
(II) RADEON(0): Acceleration enabled
(==) RADEON(0): DPMS enabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Will use 32 kb for hardware cursor 0 at offset 0x00b0b400
(II) RADEON(0): Will use 32 kb for hardware cursor 1 at offset 0x00b10a00
(II) RADEON(0): Largest offscreen area available: 2752 x 468
(II) RADEON(0): Detected Radeon Mobility M6, disabling multimedia i2c
(II) Loading sub module "theatre_detect"
(II) LoadModule: "theatre_detect"
(II) Loading /usr/lib/xorg/modules/multimedia/theatre_detect_drv.so
(II) Module theatre_detect: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): no multimedia table present, disabling Rage Theatre.
(II) RADEON(0): Set up overlay video
(II) RADEON(0): Set up textured video
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(WW) RADEON(0): Option "DynamicClocks" is not used
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) RADEON(0): Setting screen physical size to 270 x 203
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fr"
(**) Option "xkb_variant" "latin9"
(II) config/udev: Adding input device Video Bus (/dev/input/event5)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event5"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fr"
(**) Option "xkb_variant" "latin9"
(II) config/udev: Adding input device Lid Switch (/dev/input/event1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event2)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event2"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fr"
(**) Option "xkb_variant" "latin9"
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fr"
(**) Option "xkb_variant" "latin9"
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event7)
(**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
(**) TPPS/2 IBM TrackPoint: always reports core events
(**) TPPS/2 IBM TrackPoint: Device: "/dev/input/event7"
(II) TPPS/2 IBM TrackPoint: Found 3 mouse buttons
(II) TPPS/2 IBM TrackPoint: Found relative axes
(II) TPPS/2 IBM TrackPoint: Found x and y relative axes
(II) TPPS/2 IBM TrackPoint: Configuring as mouse
(**) TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
(**) TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE)
(II) TPPS/2 IBM TrackPoint: initialized for relative axes.
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event4)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event6)
(**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
(**) ThinkPad Extra Buttons: always reports core events
(**) ThinkPad Extra Buttons: Device: "/dev/input/event6"
(II) ThinkPad Extra Buttons: Found keys
(II) ThinkPad Extra Buttons: Configuring as keyboard
(II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fr"
(**) Option "xkb_variant" "latin9"
(II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event8)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event8"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fr"
(**) Option "xkb_variant" "latin9"
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
disable LVDS
enable LVDS
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
disable LVDS
enable LVDS
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
disable LVDS
enable LVDS
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xffff0000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003fffc0
finished PLL2
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
(II) Open ACPI successful (/var/run/acpid.socket)
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
disable LVDS
disable LVDS
enable LVDS

udev information:
P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=fr
E: XKBVARIANT=latin9
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: DMI_VENDOR=IBM
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=fr
E: XKBVARIANT=latin9
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: SUBSYSTEM=input
E: DEVNAME=input/event3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=fr
E: XKBVARIANT=latin9
E: MAJOR=13
E: MINOR=67
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=IBM

P: /devices/platform/pcspkr/input/input4/event4
N: input/event4
S: char/13:68
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
E: SUBSYSTEM=input
E: DEVNAME=input/event4
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=IBM
E: MAJOR=13
E: MINOR=68
E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:02/LNXVIDEO:00/input/input5/event5
N: input/event5
S: char/13:69
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:02/LNXVIDEO:00/input/input5/event5
E: SUBSYSTEM=input
E: DEVNAME=input/event5
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=fr
E: XKBVARIANT=latin9
E: MAJOR=13
E: MINOR=69
E: DEVLINKS=/dev/char/13:69
E: DMI_VENDOR=IBM

P: /devices/platform/thinkpad_acpi/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-thinkpad_acpi-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input6/event6
E: SUBSYSTEM=input
E: DEVNAME=input/event6
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: XKBMODEL=pc105
E: XKBLAYOUT=fr
E: XKBVARIANT=latin9
E: MAJOR=13
E: MINOR=70
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-thinkpad_acpi-event
E: DMI_VENDOR=IBM

P: /devices/platform/i8042/serio1/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
E: SUBSYSTEM=input
E: DEVNAME=input/event7
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=IBM
E: MAJOR=13
E: MINOR=71
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/virtual/input/input8/event8
N: input/event8
S: char/13:72
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input8/event8
E: SUBSYSTEM=input
E: DEVNAME=input/event8
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=fr
E: XKBVARIANT=latin9
E: MAJOR=13
E: MINOR=72
E: DEVLINKS=/dev/char/13:72
E: DMI_VENDOR=IBM

DRM Information from dmesg:


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-radeon depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libdrm-radeon1                2.4.20-2   Userspace interface to radeon-spec
ii  libdrm2                       2.4.18-5   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.11.0-2   Generic PCI access library for X
ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
ii  xserver-xorg-core [xorg-video 2:1.7.7-1  Xorg X server - core server

xserver-xorg-video-radeon recommends no packages.

Versions of packages xserver-xorg-video-radeon suggests:
ii  firmware-linux                0.24       Binary firmware for various driver

-- Configuration Files:
/etc/modprobe.d/radeon-kms.conf [Errno 13] Permission non accordée: u'/etc/modprobe.d/radeon-kms.conf'

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#583120; Package xserver-xorg-video-radeon. (Tue, 25 May 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 25 May 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>, 583120@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#583120: xserver-xorg-video-radeon: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Tue, 25 May 2010 12:52:23 -0400
On Tue, May 25, 2010 at 10:51 AM, Kjö Hansi Glaz <kjo@a4nancy.net.eu.org> wrote:
> Package: xserver-xorg-video-radeon
> Version: 1:6.13.0-2
> Severity: important
>
>
> I tested radeon KMS on a squeeze system, with xserver-xorg-video-radeon
> and some related packages as well as kernel 2.6.32-5 from unstable on an
> IBM thinkpad X32.
>
> It works quite well but it breaks suspend/hibernate. The system hangs
> during the suspend process, after that pm-utils write "performing
> hibernate" in its logs (all hooks succeded).
>
> I tested with and without the uswsusp package installed, which didn't
> changed anything.
>
> I tried to add-remove some hooks, but this was also unsuccessful. I
> tested the following combinaisons:
>
> --quirk-test --quirk-radeon-off --quirk-s3-bios --quirk-s3-mode
>  --quirk-dpms-suspend
> --quirk-test --quirk-s3-bios --quirk-s3-mode --quirk-dpms-suspend
> --quirk-test --quirk-radeon-off --quirk-s3-bios --quirk-s3-mode

Please try without any quirks.  KMS shouldn't need them and they will
likely break things.

Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#583120; Package xserver-xorg-video-radeon. (Tue, 25 May 2010 16:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 25 May 2010 16:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#583120; Package xserver-xorg-video-radeon. (Tue, 25 May 2010 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to sNop <snop3@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 25 May 2010 19:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 583120@bugs.debian.org (full text, mbox):

From: sNop <snop3@seznam.cz>
To: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>, 583120@bugs.debian.org, xorg-driver-ati@lists.x.org
Subject: Re: Bug#583120: xserver-xorg-video-radeon: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Tue, 25 May 2010 21:13:15 +0200
[Message part 1 (text/plain, inline)]
Hi Kjö Hansi Glaz,

I think that this bug is the same as this issue ( or at least somehow
relate ):
https://bugs.freedesktop.org/show_bug.cgi?id=27949

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#583120; Package xserver-xorg-video-radeon. (Tue, 13 Jul 2010 21:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Charles Bagneris <jcb@bagneris.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 13 Jul 2010 21:15:07 GMT) Full text and rfc822 format available.

Message #25 received at 583120@bugs.debian.org (full text, mbox):

From: Jean-Charles Bagneris <jcb@bagneris.net>
To: Debian Bug Tracking System <583120@bugs.debian.org>
Subject: Re: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Tue, 13 Jul 2010 22:54:35 +0200
Package: xserver-xorg-video-radeon
Version: 1:6.13.1-1
Severity: normal


Bug reproduced here with xserver-xorg-video-radeon 1:6.13.1-1 on unstable.

Suspend and hibernate broken on Thinkpad X32 with Radeon Mobility M6 LY.
Tried with and without uswsusp, with and without various uswsusp quirks, to no
avail. The only workaround so far is disabling KMS with radeon.modeset=0 on the
kernel command line, as stated in the 1st report.

Thanks


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Jan  7  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1725180 Jun  3 18:14 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1126 Jul 13 21:31 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"us,fr"
	Option		"XkbOptions"	"compose:ralt,grp:caps_toggle"
EndSection

Section "Device"
	Identifier	"ATI Mobility Radeon M6 LY - 0x4c59"
	Driver "radeon"
	Option          "AccelMethod" "EXA"
#    Option          "EnablePageFlip" "on"
#    Option          "RenderAccel" "on"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
	Option "DPMS"
EndSection



Kernel version (/proc/version):
Linux version 2.6.32-5-686 (Debian 2.6.32-17) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 SMP Sun Jul 11 02:12:03 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 41514 Jul 13 21:50 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32.14-dsa-ia32 i686 Debian
Current Operating System: Linux x32 2.6.32-5-686 #1 SMP Sun Jul 11 02:12:03 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/x32-root ro radeon.modeset=0 quiet
Build Date: 03 June 2010  04:08:50PM
xorg-server 2:1.7.7-2 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Jul 13 21:50:21 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen Section".
	Using the first device section listed.
(**) |   |-->Device "ATI Mobility Radeon M6 LY - 0x4c59"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81eac60
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(--) using VT number 7

(--) PCI:*(0:1:0:0) 1002:4c59:1014:052f ATI Technologies Inc Radeon Mobility M6 LY rev 0, Mem @ 0xe0000000/134217728, 0xc0100000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 6.13.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON: Driver for ATI Radeon chipsets:
	ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
	ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
	ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
	ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
	ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
	ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
	ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
	ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
	ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
	ATI Radeon 9800XT NJ (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
	ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
	ATI Radeon Mobility X300 (M22) 5460 (PCIE),
	ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
	ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
	ATI FireGL unknown (R423) UR (PCIE),
	ATI FireGL unknown (R423) UT (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 XL (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835,
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE),
	ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI Radeon X550 (RV370) 5B63 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE),
	ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
	ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
	ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
	ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
	ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
	ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
	ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
	ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
	ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
	ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
	ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
	ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
	ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
	ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
	ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
	ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
	ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
	ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
	ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
	ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
	ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
	ATI Mobility Radeon X1700, ATI Radeon X2300HD,
	ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
	ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
	ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
	ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
	ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
	ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
	ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
	ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
	ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
	ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
	ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
	ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
	ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
	ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
	ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
	ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
	AMD FireStream 9250, ATI FirePro V8700 (FireGL),
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI Mobility RADEON HD 4870, ATI Radeon 4800 Series,
	ATI Radeon 4800 Series, ATI FirePro M7750, ATI M98, ATI M98, ATI M98,
	ATI Mobility Radeon HD 4650, ATI Radeon RV730 (AGP),
	ATI Mobility Radeon HD 4670, ATI FirePro M5750,
	ATI Mobility Radeon HD 4670, ATI Radeon RV730 (AGP),
	ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
	ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
	ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
	ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
	ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
	ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
	ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
	ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
	ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
	ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
	ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
	ATI Mobility Radeon HD 3850 X2, ATI RV670,
	ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
	ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
	ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
	ATI Radeon RV710, ATI Radeon RV710, ATI Radeon RV710,
	ATI Radeon HD 4350, ATI Mobility Radeon 4300 Series,
	ATI Mobility Radeon 4500 Series, ATI Mobility Radeon 4500 Series,
	ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
	ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
	ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
	ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
	ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
	ATI FireGL V3600, ATI Radeon HD 2600 LE,
	ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
	ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
	ATI Radeon HD 3450, ATI Radeon HD 3450, ATI Radeon HD 3430,
	ATI Radeon HD 3450, ATI FirePro V3700, ATI FireMV 2450,
	ATI FireMV 2260, ATI FireMV 2260, ATI Radeon HD 3600 Series,
	ATI Radeon HD 3650 AGP, ATI Radeon HD 3600 PRO,
	ATI Radeon HD 3600 XT, ATI Radeon HD 3600 PRO,
	ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
	ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
	ATI Radeon HD 3300 Graphics, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3000 Graphics, ATI Radeon HD 4200, ATI Radeon 4100,
	ATI Mobility Radeon HD 4200, ATI Mobility Radeon 4100,
	ATI Radeon HD 4290, ATI Radeon HD 4290, CYPRESS,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
	ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
	ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
	CEDAR
(II) Primary Device is: PCI 01@00:00:0
(II) [KMS] drm report modesetting isn't supported.
(II) RADEON(0): TOTO SAYS 00000000c0100000
(II) RADEON(0): MMIO registers at 0x00000000c0100000: size 64KB
(II) RADEON(0): PCI bus 1 card 0 func 0
(II) RADEON(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(**) RADEON(0): Option "AccelMethod" "EXA"
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Radeon Mobility M6 LY (AGP)" (ChipID = 0x4c59)
(--) RADEON(0): Linear framebuffer at 0x00000000e0000000
(II) RADEON(0): AGP card detected
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(II) RADEON(0): Legacy BIOS detected
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version 1.32.0
(==) RADEON(0): Page Flipping disabled
(II) RADEON(0): Will try to use DMA for Xv image transfers
(II) RADEON(0): Detected total video RAM=16384K, accessible=65536K (PCI BAR=131072K)
(--) RADEON(0): Mapped VideoRAM: 16384 kByte (32 bit DDR SDRAM)
(II) RADEON(0): Color tiling enabled by default
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) RADEON(0): ref_freq: 2700, min_out_pll: 12000, max_out_pll: 35000, min_in_pll: 40, max_in_pll: 3000, xclk: 14400, sclk: 144.000000, mclk: 144.000000
(II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=14400
(II) RADEON(0): Panel ID string: 1024x768                
(II) RADEON(0): Panel Size from BIOS: 1024x768
(II) RADEON(0): BIOS provided dividers will be used.
(WW) RADEON(0): LVDS Info:
XRes: 1024, YRes: 768, DotClock: 65000
HBlank: 320, HOverPlus: 16, HSyncWidth: 136
VBlank: 38, VOverPlus: 2, VSyncWidth: 6
(II) RADEON(0): Output VGA-0 has no monitor section
(II) RADEON(0): I2C bus "VGA-0" initialized.
(II) RADEON(0): Output LVDS has no monitor section
(II) RADEON(0): Port0:
  XRANDR name: VGA-0
  Connector: VGA
  CRT1: INTERNAL_DAC1
  DDC reg: 0x60
(II) RADEON(0): Port1:
  XRANDR name: LVDS
  Connector: LVDS
  LCD1: INTERNAL_LVDS
  DDC reg: 0x0
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
finished output detect: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
finished output detect: 1
finished all detect
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Not using default mode "640x350" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x175" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x400" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x200" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "720x400" (vrefresh out of range)
(II) RADEON(0): Not using default mode "360x200" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x480" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x480" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "640x480" (vrefresh out of range)
(II) RADEON(0): Not using default mode "320x240" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "400x300" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (interlace mode not supported)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (vrefresh out of range)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (vrefresh out of range)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1024x768" (vrefresh out of range)
(II) RADEON(0): Not using default mode "512x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x960" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x960" (vrefresh out of range)
(II) RADEON(0): Not using default mode "640x480" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x1024" (hsync out of range)
(II) RADEON(0): Not using default mode "640x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) RADEON(0): Not using default mode "640x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) RADEON(0): Not using default mode "640x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) RADEON(0): Not using default mode "800x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1792x1344" (hsync out of range)
(II) RADEON(0): Not using default mode "896x672" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1792x1344" (vrefresh out of range)
(II) RADEON(0): Not using default mode "896x672" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1856x1392" (hsync out of range)
(II) RADEON(0): Not using default mode "928x696" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1856x1392" (vrefresh out of range)
(II) RADEON(0): Not using default mode "928x696" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1440" (hsync out of range)
(II) RADEON(0): Not using default mode "960x720" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1440" (vrefresh out of range)
(II) RADEON(0): Not using default mode "960x720" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "832x624" (vrefresh out of range)
(II) RADEON(0): Not using default mode "416x312" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (hsync out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1152x864" (vrefresh out of range)
(II) RADEON(0): Not using default mode "576x432" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) RADEON(0): Not using default mode "680x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) RADEON(0): Not using default mode "680x384" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "700x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1440x900" (hsync out of range)
(II) RADEON(0): Not using default mode "720x450" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1600x1024" (hsync out of range)
(II) RADEON(0): Not using default mode "800x512" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "840x525" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1080" (hsync out of range)
(II) RADEON(0): Not using default mode "960x540" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "960x600" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "1920x1440" (vrefresh out of range)
(II) RADEON(0): Not using default mode "960x720" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "2048x1536" (hsync out of range)
(II) RADEON(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "2048x1536" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) RADEON(0): Not using default mode "2048x1536" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) RADEON(0): Printing probed modes for output LVDS
(II) RADEON(0): Modeline "1024x768"x60.0   65.00  1024 1040 1176 1344  768 770 776 806 (48.4 kHz)
(II) RADEON(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) RADEON(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
(II) RADEON(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
(II) RADEON(0): Output VGA-0 disconnected
(II) RADEON(0): Output LVDS connected
(II) RADEON(0): Using exact sizes for initial modes
(II) RADEON(0): Output LVDS using initial mode 1024x768
(II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) RADEON(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(**) RADEON(0): Using EXA acceleration architecture
(II) Loading sub module "exa"
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.5.0
	ABI class: X.Org Video Driver, version 6.0
(==) RADEON(0): Assuming overlay scaler buffer width is 1536
(II) RADEON(0): No MM_TABLE found - assuming CARD is not TV-in capable.
(!!) RADEON(0): MergedFB support has been removed and replaced with xrandr 1.2 support
(--) Depth 24 pixmap format is 32 bpp
(II) RADEON(0): RADEONScreenInit e0000000 0 0
Entering TV Save
Save TV timing tables
saveTimingTables: reading timing tables
TV Save done
disable LVDS
(II) RADEON(0): Dynamic Power Management Disabled
(==) RADEON(0): Using 24 bit depth buffer
(II) RADEON(0): RADEONInitMemoryMap() : 
(II) RADEON(0):   mem_size         : 0x04000000
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(II) RADEON(0): Depth moves disabled by default
(II) RADEON(0): Allocating from a screen of 16384 kb
(II) RADEON(0): Will use 32 kb for hardware cursor 0 at offset 0x00400000
(II) RADEON(0): Will use 32 kb for hardware cursor 1 at offset 0x00404000
(II) RADEON(0): Will use 4096 kb for front buffer at offset 0x00000000
(II) RADEON(0): Will use 4096 kb for back buffer at offset 0x00408000
(II) RADEON(0): Will use 4096 kb for depth buffer at offset 0x00808000
(II) RADEON(0): Will use 1984 kb for textures at offset 0x00c08000
(II) RADEON(0): Will use 2080 kb for X Server offscreen at offset 0x00df8000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer handle = 0xe0000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(==) RADEON(0): Using AGP 1x
(II) RADEON(0): [agp] Mode 0x1f000201 [AGP 0x8086/0x3340; Card 0x1002/0x4c59 0x1014/0x052f]
(II) RADEON(0): [agp] 8192 kB allocated with handle 0x00000001
(II) RADEON(0): [agp] ring handle = 0xd0000000
(II) RADEON(0): [agp] Ring mapped at 0xb71bc000
(II) RADEON(0): [agp] ring read ptr handle = 0xd0101000
(II) RADEON(0): [agp] Ring read ptr mapped at 0xb745a000
(II) RADEON(0): [agp] vertex/indirect buffers handle = 0xd0102000
(II) RADEON(0): [agp] Vertex/indirect buffers mapped at 0xb6f1b000
(II) RADEON(0): [agp] GART texture map handle = 0xd0302000
(II) RADEON(0): [agp] GART Texture map mapped at 0xb6a3b000
(II) RADEON(0): [drm] register handle = 0x28020000
(II) RADEON(0): [dri] Visual configs initialized
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xffff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(==) RADEON(0): Backing store disabled
(II) RADEON(0): [DRI] installation complete
(II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect buffers
(II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
(II) RADEON(0): [drm] dma control initialized, using IRQ 11
(II) RADEON(0): [drm] Initialized kernel GART heap manager, 5111808
(WW) RADEON(0): DRI init changed memory map, adjusting ...
(WW) RADEON(0):   MC_FB_LOCATION  was: 0xe3ffe000 is: 0xe3ffe000
(WW) RADEON(0):   MC_AGP_LOCATION was: 0xffffffc0 is: 0xd07fd000
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xd07fd000
(II) RADEON(0): Direct rendering enabled
(II) RADEON(0): Render acceleration enabled for R100 type cards.
(II) RADEON(0): Setting EXA maxPitchBytes
(II) EXA(0): Offscreen pixmap area of 2129920 bytes
(II) EXA(0): Driver registered support for the following operations:
(II)         Solid
(II)         Copy
(II)         Composite (RENDER acceleration)
(II)         UploadToScreen
(II) RADEON(0): Acceleration enabled
(==) RADEON(0): DPMS enabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Detected Radeon Mobility M6, disabling multimedia i2c
(II) Loading sub module "theatre_detect"
(II) LoadModule: "theatre_detect"
(II) Loading /usr/lib/xorg/modules/multimedia/theatre_detect_drv.so
(II) Module theatre_detect: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): no multimedia table present, disabling Rage Theatre.
(II) RADEON(0): Set up overlay video
(II) RADEON(0): Set up textured video
disable primary dac
disable LVDS
disable LVDS
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xe3ffe000 0xe3ffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xd07fd000
restore common
restore crtc1
restore pll1
set RMX
set LVDS
enable LVDS
disable primary dac
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: drmOpenMinor returns 12
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: enabled GLX_texture_from_pixmap with driver support
(II) AIGLX: Loaded and initialized /usr/lib/dri/radeon_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(II) RADEON(0): Setting screen physical size to 270 x 203
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Video Bus (/dev/input/event5)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event5"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Lid Switch (/dev/input/event1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event2)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event2"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event6)
(**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
(**) TPPS/2 IBM TrackPoint: always reports core events
(**) TPPS/2 IBM TrackPoint: Device: "/dev/input/event6"
(II) TPPS/2 IBM TrackPoint: Found 3 mouse buttons
(II) TPPS/2 IBM TrackPoint: Found relative axes
(II) TPPS/2 IBM TrackPoint: Found x and y relative axes
(II) TPPS/2 IBM TrackPoint: Configuring as mouse
(**) TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
(**) TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE)
(II) TPPS/2 IBM TrackPoint: initialized for relative axes.
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event4)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event7)
(**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
(**) ThinkPad Extra Buttons: always reports core events
(**) ThinkPad Extra Buttons: Device: "/dev/input/event7"
(II) ThinkPad Extra Buttons: Found keys
(II) ThinkPad Extra Buttons: Configuring as keyboard
(II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event8)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event8"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1024x768

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: SUBSYSTEM=input
E: DEVNAME=input/event3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=67
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:02/LNXVIDEO:00/input/input5/event5
N: input/event5
S: char/13:69
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:02/LNXVIDEO:00/input/input5/event5
E: SUBSYSTEM=input
E: DEVNAME=input/event5
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=69
E: DEVLINKS=/dev/char/13:69
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: DMI_VENDOR=IBM
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66
E: DMI_VENDOR=IBM

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=IBM

P: /devices/platform/i8042/serio1/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input6/event6
E: SUBSYSTEM=input
E: DEVNAME=input/event6
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=IBM
E: MAJOR=13
E: MINOR=70
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input6/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input6/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/pcspkr/input/input4/event4
N: input/event4
S: char/13:68
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
E: SUBSYSTEM=input
E: DEVNAME=input/event4
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=IBM
E: MAJOR=13
E: MINOR=68
E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/thinkpad_acpi/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-thinkpad_acpi-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input7/event7
E: SUBSYSTEM=input
E: DEVNAME=input/event7
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=71
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-thinkpad_acpi-event
E: DMI_VENDOR=IBM

P: /devices/virtual/input/input8/event8
N: input/event8
S: char/13:72
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input8/event8
E: SUBSYSTEM=input
E: DEVNAME=input/event8
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=72
E: DEVLINKS=/dev/char/13:72
E: DMI_VENDOR=IBM

DRM Information from dmesg:
[    0.080925] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[    0.611609] Linux agpgart interface v0.103
[    0.611696] agpgart-intel 0000:00:00.0: Intel 855PM Chipset
[    0.626093] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xd0000000
[   15.618178] [drm] Initialized drm 1.1.0 20060810
[   16.299285] [drm] Initialized radeon 1.32.0 20080528 for 0000:01:00.0 on minor 0
[   99.415444] agpgart-intel 0000:00:00.0: AGP 2.0 bridge
[   99.415472] agpgart-intel 0000:00:00.0: putting AGP V2 device into 1x mode
[   99.415524] pci 0000:01:00.0: putting AGP V2 device into 1x mode
[   99.687520] [drm] Setting GART location based on new memory map
[   99.687584] [drm] Loading R100 Microcode
[   99.722454] [drm] writeback test succeeded in 2 usecs


-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (80, 'testing'), (80, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-radeon depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.11.0-2   Generic PCI access library for X
ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
ii  libudev0                      160-1      libudev shared library
ii  xserver-xorg-core [xorg-video 2:1.7.7-2  Xorg X server - core server

xserver-xorg-video-radeon recommends no packages.

Versions of packages xserver-xorg-video-radeon suggests:
ii  firmware-linux                0.26       Binary firmware for various driver

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#583120; Package xserver-xorg-video-radeon. (Fri, 13 Aug 2010 11:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 13 Aug 2010 11:57:02 GMT) Full text and rfc822 format available.

Message #30 received at 583120@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Fri, 13 Aug 2010 13:54:50 +0200
Hi,

I have a similar problem here, same hardware.

*But* I do believe this has nothing to do with
xserver-xorg-video-radeon as my suspend-to-disk is also broken without
X running. This looks like a kernel bug actually.

Every test described bellow gives the same results, that is:

- black screen then backlight on but nothing displayed
- does not hibernate
- no sysrq

Tests:

1. runlevel 2, stopped gdm/X, rmmod ipw2200, echo disk > /sys/power/state
2. single user, rmmod ipw2200, echo disk > /sys/power/state
3. single user, rmmod ipw2200, start dbus, udev and hal, pm-hibernate

Relevant packages:

linux-image-2.6.32-5-686: 2.6.32-18
xserver-xorg-video-radeon: 1:6.13.1-2
xserver-xorg: 1:7.5+6
libdrm-radeon1: 2.4.18-6
libgl1-mesa-dri: 7.7.1-4
firmware-linux-nonfree: 0.26

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Then we'll come from the shadows.




Bug reassigned from package 'xserver-xorg-video-radeon' to 'linux-2.6'. Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:51:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-video-ati/1:6.13.0-2 and xserver-xorg-video-ati/1:6.13.1-1. Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:51:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'Hibernate broken when KMS enabled on Radeon Mobility M6 LY' from 'xserver-xorg-video-radeon: Hibernate broken when KMS enabled on Radeon Mobility M6 LY' Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:51:04 GMT) Full text and rfc822 format available.

Added indication that 583120 affects xserver-xorg-video-radeon Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:51:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-13. Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:57:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-18. Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:57:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-20. Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:57:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.35-1~experimental.1. Request was from intrigeri@boum.org to control@bugs.debian.org. (Fri, 13 Aug 2010 14:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Fri, 13 Aug 2010 15:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 15:09:03 GMT) Full text and rfc822 format available.

Message #51 received at 583120@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: intrigeri <intrigeri@boum.org>, 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Fri, 13 Aug 2010 11:04:49 -0400
On Fri, Aug 13, 2010 at 7:54 AM, intrigeri <intrigeri@boum.org> wrote:
> Hi,
>
> I have a similar problem here, same hardware.
>
> *But* I do believe this has nothing to do with
> xserver-xorg-video-radeon as my suspend-to-disk is also broken without
> X running. This looks like a kernel bug actually.
>
> Every test described bellow gives the same results, that is:
>
> - black screen then backlight on but nothing displayed
> - does not hibernate
> - no sysrq
>
> Tests:
>
> 1. runlevel 2, stopped gdm/X, rmmod ipw2200, echo disk > /sys/power/state
> 2. single user, rmmod ipw2200, echo disk > /sys/power/state
> 3. single user, rmmod ipw2200, start dbus, udev and hal, pm-hibernate
>

Are you using kms?  If so, does the system hibernate ok without radeon loaded?

Alex

> Relevant packages:
>
> linux-image-2.6.32-5-686: 2.6.32-18
> xserver-xorg-video-radeon: 1:6.13.1-2
> xserver-xorg: 1:7.5+6
> libdrm-radeon1: 2.4.18-6
> libgl1-mesa-dri: 7.7.1-4
> firmware-linux-nonfree: 0.26
>
> Bye,
> --
>  intrigeri <intrigeri@boum.org>
>  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
>  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
>  | Then we'll come from the shadows.
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Fri, 13 Aug 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #56 received at 583120@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Fri, 13 Aug 2010 17:25:50 +0200
[Message part 1 (text/plain, inline)]
Hi again.

I debugged this a bit more in the hope this bug can be fixed on time
for Squeeze. I roughly followed the kernel's basic-pm-debugging.txt
guidelines but did not try logging kernel messages to a serial console
or compiling a minimal kernel.

Every described test was done against 2.6.35-1~experimental.1 in
single-user mode. I removed any custom module option I usually have
enabled in modprobe configuration and made sure Grub2 did not setup a
gfxpayload before running the kernel. The only special kernel option
I'm using is hpet=force and I must admit I did not try removing it
yet. See an example "ps aux" output bellow that shows nothing should
trouble the hibernation process IMHO.

test 0
======

echo freezer > /sys/power/pm_test
echo disk > /sys/power/disk

=> works.

test 1
======

echo devices > /sys/power/pm_test
echo disk > /sys/power/disk

=> the screen backlight is put off then on (hibernate/resume ???),
than the computer freezes with a few weird vertical lines on the
screen. Sometimes the disk led is left on, sometimes not. No SysRq
keys seem to work.

test 2
======

same test as test 1 after unloading every module that is not in use.
see lsmod output bellow. same results.

test 3
======

same test as test 2 after "echo test > /sys/power/disk".
only differences:

- no weird lines on the screen
- hard disk led is left off. might be random.

test 4
======

same test as test 2 after "echo shutdown > /sys/power/disk".
same result as test 2 but hard disk led is left off. might be random.

test 5
======

like test 2, I unload every module I can but I then run pm-hibernate
=> same results as test 2

test 6
======

like test 5 but I run pm-hibernate with the ones, amongst the quirks
that are used without KMS, that seem to be used for hibernation (as
opposed to suspend to RAM), namely:  --quirk-radeon-off and
--quirk-dpms-suspend.

same results, weird vertical lines, hard disk led off (might be
random).

left to test
============

- remove hpet=force kernel parameter
- "noapic", "noacpi" or even "acpi=off"
- less in-kernel drivers
- serial console logging

lsmod output after unloading everything I can
---------------------------------------------

Module                  Size  Used by
processor              28002  1 
ext4                  246897  7 
mbcache                 5436  1 ext4
jbd2                   57716  1 ext4
crc16                   1303  1 ext4
aes_i586                7176  2 
aes_generic            26723  1 aes_i586
xts                     1763  1 
gf128mul                6661  1 xts
dm_crypt                9292  1 
dm_mod                 52601  28 dm_crypt
sd_mod                 28342  2 
crc_t10dif              1195  1 sd_mod
radeon                616381  1 
ata_piix               18411  1 
ttm                    46927  1 radeon
libata                143896  1 ata_piix
drm_kms_helper         23695  1 radeon
drm                   143115  3 radeon,ttm,drm_kms_helper
scsi_mod              151863  2 sd_mod,libata
i2c_algo_bit            4026  1 radeon
i2c_core               18031  4 radeon,drm_kms_helper,drm,i2c_algo_bit
thermal_sys            11304  1 processor


** ps aux output

USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         1  0.2  0.0   2080   608 ?        Ss   15:49   0:01 init [S]         
root         2  0.0  0.0      0     0 ?        S    15:49   0:00 [kthreadd]
root         3  0.0  0.0      0     0 ?        S    15:49   0:00 [ksoftirqd/0]
root         4  0.0  0.0      0     0 ?        S    15:49   0:00 [migration/0]
root         5  0.0  0.0      0     0 ?        S    15:49   0:00 [watchdog/0]
root         6  0.0  0.0      0     0 ?        S    15:49   0:00 [events/0]
root         7  0.0  0.0      0     0 ?        S    15:49   0:00 [cpuset]
root         8  0.0  0.0      0     0 ?        S    15:49   0:00 [khelper]
root         9  0.0  0.0      0     0 ?        S    15:49   0:00 [netns]
root        10  0.0  0.0      0     0 ?        S    15:49   0:00 [async/mgr]
root        11  0.0  0.0      0     0 ?        S    15:49   0:00 [pm]
root        12  0.0  0.0      0     0 ?        S    15:49   0:00 [sync_supers]
root        13  0.0  0.0      0     0 ?        S    15:49   0:00 [bdi-default]
root        14  0.0  0.0      0     0 ?        S    15:49   0:00 [kintegrityd/0]
root        15  0.0  0.0      0     0 ?        S    15:49   0:00 [kblockd/0]
root        16  0.0  0.0      0     0 ?        S    15:49   0:00 [kacpid]
root        17  0.0  0.0      0     0 ?        S    15:49   0:00 [kacpi_notify]
root        18  0.0  0.0      0     0 ?        S    15:49   0:00 [kacpi_hotplug]
root        19  0.0  0.0      0     0 ?        S    15:49   0:00 [kseriod]
root        20  0.0  0.0      0     0 ?        S    15:49   0:00 [kondemand/0]
root        21  0.0  0.0      0     0 ?        S    15:49   0:00 [khungtaskd]
root        22  0.0  0.0      0     0 ?        S    15:49   0:00 [kswapd0]
root        23  0.0  0.0      0     0 ?        SN   15:49   0:00 [ksmd]
root        24  0.0  0.0      0     0 ?        S    15:49   0:00 [aio/0]
root        25  0.0  0.0      0     0 ?        S    15:49   0:00 [crypto/0]
root       189  0.0  0.0      0     0 ?        S    15:49   0:00 [ata_aux]
root       190  0.0  0.0      0     0 ?        S    15:49   0:00 [ata_sff/0]
root       191  0.0  0.0      0     0 ?        S    15:49   0:00 [scsi_eh_0]
root       192  0.0  0.0      0     0 ?        S    15:49   0:00 [scsi_eh_1]
root       195  0.0  0.0      0     0 ?        S    15:49   0:00 [radeon/0]
root       196  0.0  0.0      0     0 ?        S    15:49   0:00 [ttm_swap]
root       207  0.0  0.0      0     0 ?        S<   15:49   0:00 [kslowd000]
root       208  0.0  0.0      0     0 ?        S<   15:49   0:00 [kslowd001]
root       232  0.0  0.0      0     0 ?        S    15:49   0:00 [kstriped]
root       305  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       307  0.0  0.0      0     0 ?        S    15:50   0:00 [kcryptd_io]
root       308  0.1  0.0      0     0 ?        S    15:50   0:00 [kcryptd]
root       320  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       325  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       330  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       335  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       340  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       345  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       350  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       355  0.0  0.0      0     0 ?        S    15:50   0:00 [kdmflush]
root       371  0.0  0.0      0     0 ?        S    15:50   0:00 [jbd2/dm-5-8]
root       372  0.0  0.0      0     0 ?        S    15:50   0:00 [ext4-dio-unwrit]
root       435  0.0  0.0      0     0 ?        S    15:51   0:00 [flush-254:5]
root       439  0.0  0.1   2596  1216 ?        S<s  15:51   0:00 udevd --daemon
root       784  2.2  0.0   1988   400 ?        Ss   15:51   0:15 /sbin/bootlogd -r -c
root       785  0.0  0.0   1600   240 ?        Ss   15:51   0:00 startpar -f -- bootlogd
root      1099  0.0  0.0      0     0 ?        S    15:51   0:00 [jbd2/dm-4-8]
root      1100  0.0  0.0      0     0 ?        S    15:51   0:00 [ext4-dio-unwrit]
root      1101  0.0  0.0      0     0 ?        S    15:51   0:00 [jbd2/dm-3-8]
root      1102  0.0  0.0      0     0 ?        S    15:51   0:00 [ext4-dio-unwrit]
root      1103  0.0  0.0      0     0 ?        S    15:51   0:00 [jbd2/dm-2-8]
root      1104  0.0  0.0      0     0 ?        S    15:51   0:00 [ext4-dio-unwrit]
root      1105  0.0  0.0      0     0 ?        S    15:51   0:00 [jbd2/dm-6-8]
root      1106  0.0  0.0      0     0 ?        S    15:51   0:00 [ext4-dio-unwrit]
root      1107  0.0  0.0      0     0 ?        S    15:51   0:00 [jbd2/dm-7-8]
root      1108  0.0  0.0      0     0 ?        S    15:51   0:00 [ext4-dio-unwrit]
root      1109  0.0  0.0      0     0 ?        S    15:51   0:00 [jbd2/dm-8-8]
root      1110  0.0  0.0      0     0 ?        S    15:51   0:00 [ext4-dio-unwrit]
root      1258  0.0  0.0   2080    88 tty1     Ss   15:51   0:00 init [S]         
root      1259  0.0  0.4   6100  4808 tty1     S    15:51   0:00 bash
root      1713  0.0  0.1   2592  1060 ?        S<   15:56   0:00 udevd --daemon
root      1714  0.0  0.0   2592   948 ?        S<   15:56   0:00 udevd --daemon
root      1746  0.0  0.0      0     0 ?        S    15:57   0:00 [flush-254:4]
root      1747  0.0  0.0      0     0 ?        S    15:57   0:00 [flush-254:3]
root      1748  0.0  0.0      0     0 ?        S    15:57   0:00 [flush-254:2]
root      1749  0.0  0.0      0     0 ?        S    15:57   0:00 [flush-254:6]
root      1750  0.0  0.0      0     0 ?        S    15:57   0:00 [flush-254:7]
root      1751  0.0  0.0      0     0 ?        S    15:57   0:00 [flush-254:8]
root      1924  0.0  0.0   2400   908 tty1     R+   16:02   0:00 ps aux


Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Did you exchange a walk on part in the war
  | for a lead role in the cage?

[Message part 2 (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf 1.5.33                  Debian configuration management sy
ii  initramfs-tools  0.97.2                  tools for generating an initramfs
ii  linux-base       2.6.35-1~experimental.1 Linux image base package
ii  module-init-tool 3.12-1                  tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-f 2.6.35-1~experimental.1 Binary firmware for various driver
ii  libc6-i686       2.11.2-2                GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.32-5-686 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.26       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.26       Binary firmware for Ralink wireles
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/prerm/would-invalidate-boot-loader-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/bootloader-test-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/bootloader-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Fri, 13 Aug 2010 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 15:57:05 GMT) Full text and rfc822 format available.

Message #61 received at 583120@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Fri, 13 Aug 2010 17:55:42 +0200
Hi,

Alex Deucher wrote (13 Aug 2010 15:04:49 GMT) :
> Are you using kms? If so, does the system hibernate ok without
> radeon loaded?

Works ok without KMS (radeon loaded + radeon.modeset=0), does not with
KMS (radeon loaded + radeon.modeset=1).

I've not tried without the radeon module loaded at all. Should I?

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Did you exchange a walk on part in the war
  | for a lead role in the cage?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Fri, 13 Aug 2010 16:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 16:09:02 GMT) Full text and rfc822 format available.

Message #66 received at 583120@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: intrigeri <intrigeri@boum.org>
Cc: 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Fri, 13 Aug 2010 12:06:17 -0400
On Fri, Aug 13, 2010 at 11:55 AM, intrigeri <intrigeri@boum.org> wrote:
> Hi,
>
> Alex Deucher wrote (13 Aug 2010 15:04:49 GMT) :
>> Are you using kms? If so, does the system hibernate ok without
>> radeon loaded?
>
> Works ok without KMS (radeon loaded + radeon.modeset=0), does not with
> KMS (radeon loaded + radeon.modeset=1).
>
> I've not tried without the radeon module loaded at all. Should I?
>

No that's fine.  Can you try a newer kernel?  2.6.35.x preferably?
Did hibernate ever work with kms for you?  If so, what kernel version?

Alex

> Bye,
> --
>  intrigeri <intrigeri@boum.org>
>  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
>  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
>  | Did you exchange a walk on part in the war
>  | for a lead role in the cage?
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Fri, 13 Aug 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #71 received at 583120@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Fri, 13 Aug 2010 21:57:56 +0200
Hi,

Alex Deucher wrote (13 Aug 2010 16:06:17 GMT) :
> Can you try a newer kernel?  2.6.35.x preferably?

Already done, see message #56.

> Did hibernate ever work with kms for you?

No.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | If you must label the absolute, use it's proper name: Temporary.




Bug Marked as found in versions 2.6.36~rc6-1~experimental.1. Request was from intrigeri <intrigeri@boum.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 21:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Thu, 14 Oct 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Oct 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #78 received at 583120@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: 583120@bugs.debian.org
Subject: Re: Bug#583120: Hibernate broken when KMS enabled on Radeon Mobility M6 LY
Date: Thu, 14 Oct 2010 22:58:44 +0200
Hi,

I did some more testing against 2.6.36-1~experimental.1 this time.

In single-user mode, after unloading every kernel module I could:

	echo devices > /sys/power/pm_test
	echo disk > /sys/power/disk

=> the computer freezes with a few weird vertical lines on the
screen. SysRq keys don't work.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Then we'll come from the shadows.




Bug Marked as found in versions 2.6.32-25. Request was from intrigeri <intrigeri@boum.org> to control@bugs.debian.org. (Mon, 18 Oct 2010 16:39:14 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.39-2. Request was from Kjö Hansi Glaz <kjo@a4nancy.net.eu.org> to control@bugs.debian.org. (Sat, 18 Jun 2011 16:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Tue, 21 Jun 2011 10:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Jun 2011 10:00:22 GMT) Full text and rfc822 format available.

Message #87 received at 583120@bugs.debian.org (full text, mbox):

From: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>
To: 583120@bugs.debian.org
Subject: Test with 2.6.39-2-686-pae
Date: Tue, 21 Jun 2011 11:50:31 +0200
Hi,

I run basically the same tests as intrigeri did with linux-image
2.6.39-2-686-pae (installed in a squeeze system).


single user mode with KMS
=========================

1) boot in single user mode (see [1] for result of `ps aux`)
2) remove unused modules (see [2] for reslut of `lsmod`)
3) `echo freezer > /sys/power/pm_test` ; `echo disk > /sys/power/state`
   the freeze successes (stuff happens then bash comes back)
4) `echo devices > /sys/power/pm_test` ; `echo disk > /sys/power/state`
   the screen remains black, power and battery LEDs on, kernel doesn't
   answer to sysrq


single user mode without KMS
============================

1) boot in single user mode with `radeon.modeset=0` on kernel command line
   (see [3] for result of `ps aux`)
2) remove unused modules (see [4] for reslut of `lsmod`)
3) `echo freezer > /sys/power/pm_test` ; `echo disk > /sys/power/state`
   the freeze successes
4) `echo devices > /sys/power/pm_test` ; `echo disk > /sys/power/state`
   seems to succeed (stuff happens then bash comes back)


single user mode with KMS, noapic, nolapic
==========================================

Same test with `noapic nolapic` on kernel command line;
Same result as "single user mode with KMS"


single user mode with KMS, acpi=off
===================================

Same test with `acpi=off` on kernel command line;
The system doesn't boot, so I can't test


Hope it helps, feel free to ask for more tests,

K.


Notes
=====

[1]. Result of ps aux, KMS enabled:

USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         1  1.3  0.0   2080   608 ?        Ss   11:20   0:00 init [S]         
root         2  0.0  0.0      0     0 ?        S    11:20   0:00 [kthreadd]
root         3  0.0  0.0      0     0 ?        S    11:20   0:00 [ksoftirqd/0]
root         4  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/0:0]
root         5  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/u:0]
root         6  0.0  0.0      0     0 ?        S    11:20   0:00 [migration/0]
root         7  0.0  0.0      0     0 ?        S    11:20   0:00 [watchdog/0]
root         8  0.0  0.0      0     0 ?        S<   11:20   0:00 [cpuset]
root         9  0.0  0.0      0     0 ?        S<   11:20   0:00 [khelper]
root        10  0.0  0.0      0     0 ?        S<   11:20   0:00 [netns]
root        11  0.0  0.0      0     0 ?        S    11:20   0:00 [sync_supers]
root        12  0.0  0.0      0     0 ?        S    11:20   0:00 [bdi-default]
root        13  0.0  0.0      0     0 ?        S<   11:20   0:00 [kintegrityd]
root        14  0.0  0.0      0     0 ?        S<   11:20   0:00 [kblockd]
root        15  0.5  0.0      0     0 ?        S    11:20   0:00 [kworker/0:1]
root        16  0.0  0.0      0     0 ?        S    11:20   0:00 [khungtaskd]
root        17  0.0  0.0      0     0 ?        S    11:20   0:00 [kswapd0]
root        18  0.0  0.0      0     0 ?        SN   11:20   0:00 [ksmd]
root        19  0.0  0.0      0     0 ?        SN   11:20   0:00 [khugepaged]
root        20  0.0  0.0      0     0 ?        S    11:20   0:00 [fsnotify_mark]
root        21  0.0  0.0      0     0 ?        S<   11:20   0:00 [crypto]
root        24  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/0:2]
root       165  0.0  0.0      0     0 ?        S    11:20   0:00 [khubd]
root       166  0.0  0.0      0     0 ?        S<   11:20   0:00 [ata_sff]
root       169  0.0  0.0      0     0 ?        S    11:20   0:00 [scsi_eh_0]
root       170  0.0  0.0      0     0 ?        S    11:20   0:00 [scsi_eh_1]
root       172  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/u:1]
root       173  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/u:2]
root       256  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       257  0.0  0.0      0     0 ?        S<   11:20   0:00 [kcryptd_io]
root       258  0.0  0.0      0     0 ?        S<   11:20   0:00 [kcryptd]
root       265  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       270  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       275  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       280  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       285  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       290  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       295  0.0  0.0      0     0 ?        S<   11:20   0:00 [kdmflush]
root       311  0.0  0.0      0     0 ?        S    11:20   0:00 [jbd2/dm-1-8]
root       312  0.0  0.0      0     0 ?        S<   11:20   0:00 [ext4-dio-unwrit]
root       368  0.1  0.1   2588  1096 ?        S<s  11:20   0:00 udevd --daemon
root       514  0.7  0.0      0     0 ?        S    11:20   0:00 [kworker/0:3]
root       628  0.0  0.0      0     0 ?        S<   11:20   0:00 [ttm_swap]
root       929  0.0  0.0      0     0 ?        S    11:20   0:00 [jbd2/dm-3-8]
root       930  0.0  0.0      0     0 ?        S<   11:20   0:00 [ext4-dio-unwrit]
root       931  0.0  0.0      0     0 ?        S    11:20   0:00 [jbd2/dm-4-8]
root       932  0.0  0.0      0     0 ?        S<   11:20   0:00 [ext4-dio-unwrit]
root       933  0.0  0.0      0     0 ?        S    11:20   0:00 [jbd2/dm-7-8]
root       934  0.0  0.0      0     0 ?        S<   11:20   0:00 [ext4-dio-unwrit]
root       935  0.0  0.0      0     0 ?        S    11:20   0:00 [jbd2/dm-5-8]
root       936  0.0  0.0      0     0 ?        S<   11:20   0:00 [ext4-dio-unwrit]
root       937  0.0  0.0      0     0 ?        S    11:20   0:00 [jbd2/dm-6-8]
root       938  0.0  0.0      0     0 ?        S<   11:20   0:00 [ext4-dio-unwrit]
daemon    1226  0.0  0.0   1856   492 ?        Ss   11:20   0:00 /sbin/portmap -i 127.0.0.1
statd     1256  0.0  0.0   1984   768 ?        Ss   11:20   0:00 /sbin/rpc.statd
root      1392  0.0  0.0   2080    88 tty4     Ss   11:20   0:00 init [S]         
root      1393  0.3  0.1   3088  1648 tty4     S    11:20   0:00 bash
root      1394  0.0  0.0      0     0 ?        S    11:20   0:00 [flush-254:1]
root      1395  0.0  0.0      0     0 ?        S    11:20   0:00 [flush-254:3]
root      1396  0.0  0.0      0     0 ?        S    11:20   0:00 [flush-254:4]
root      1397  0.0  0.0      0     0 ?        S    11:20   0:00 [flush-254:5]
root      1398  0.0  0.0      0     0 ?        S    11:20   0:00 [flush-254:6]
root      1399  0.0  0.0      0     0 ?        S    11:20   0:00 [flush-254:7]
root      1413  0.0  0.0   2584   956 ?        S<   11:21   0:00 udevd --daemon
root      1414  0.0  0.0   2584   980 ?        S<   11:21   0:00 udevd --daemon
root      1450  0.0  0.0   2400   924 tty4     R+   11:21   0:00 ps aux


[2]. Result of lsmod, KMS enabled:

Module                  Size  Used by
fuse                   55666  1 
radeon                712176  1 
ttm                    46736  1 radeon
drm_kms_helper         26550  1 radeon
drm                   129190  3 radeon,ttm,drm_kms_helper
i2c_algo_bit           12706  1 radeon
power_supply           13283  1 radeon
i2c_core               19022  4 radeon,drm_kms_helper,drm,i2c_algo_bit
processor              26983  1 
ext4                  270998  6 
mbcache                12810  1 ext4
jbd2                   55701  1 ext4
crc16                  12327  1 ext4
sha256_generic         16709  2 
aes_i586               16608  2 
aes_generic            37066  1 aes_i586
cbc                    12659  1 
dm_crypt               17809  1 
dm_mod                 56401  26 dm_crypt
sd_mod                 35060  2 
crc_t10dif             12332  1 sd_mod
ata_piix               21079  1 
libata                132100  1 ata_piix
usbcore                99225  1 
scsi_mod              134453  2 sd_mod,libata
thermal_sys            17667  1 processor


[3]. result of `ps aux`, KMS disabled

USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         1  0.5  0.0   2080   608 ?        Ss   11:12   0:01 init [S]         
root         2  0.0  0.0      0     0 ?        S    11:12   0:00 [kthreadd]
root         3  0.0  0.0      0     0 ?        S    11:12   0:00 [ksoftirqd/0]
root         4  0.1  0.0      0     0 ?        S    11:12   0:00 [kworker/0:0]
root         5  0.0  0.0      0     0 ?        S    11:12   0:00 [kworker/u:0]
root         6  0.0  0.0      0     0 ?        S    11:12   0:00 [migration/0]
root         7  2.0  0.0      0     0 ?        S    11:12   0:04 [watchdog/0]
root         8  0.0  0.0      0     0 ?        S<   11:12   0:00 [cpuset]
root         9  0.0  0.0      0     0 ?        S<   11:12   0:00 [khelper]
root        10  0.0  0.0      0     0 ?        S<   11:12   0:00 [netns]
root        11  0.0  0.0      0     0 ?        S    11:12   0:00 [sync_supers]
root        12  0.0  0.0      0     0 ?        S    11:12   0:00 [bdi-default]
root        13  0.0  0.0      0     0 ?        S<   11:12   0:00 [kintegrityd]
root        14  0.0  0.0      0     0 ?        S<   11:12   0:00 [kblockd]
root        15  0.5  0.0      0     0 ?        S    11:12   0:01 [kworker/0:1]
root        16  0.0  0.0      0     0 ?        S    11:12   0:00 [khungtaskd]
root        17  0.0  0.0      0     0 ?        S    11:12   0:00 [kswapd0]
root        18  0.0  0.0      0     0 ?        SN   11:12   0:00 [ksmd]
root        19  0.0  0.0      0     0 ?        SN   11:12   0:00 [khugepaged]
root        20  0.0  0.0      0     0 ?        S    11:12   0:00 [fsnotify_mark]
root        21  0.0  0.0      0     0 ?        S<   11:12   0:00 [crypto]
root        24  0.0  0.0      0     0 ?        S    11:12   0:00 [kworker/0:2]
root       159  0.0  0.0      0     0 ?        S    11:12   0:00 [khubd]
root       160  0.0  0.0      0     0 ?        S<   11:13   0:00 [ata_sff]
root       161  0.0  0.0      0     0 ?        S    11:13   0:00 [scsi_eh_0]
root       162  0.0  0.0      0     0 ?        S    11:13   0:00 [scsi_eh_1]
root       163  0.0  0.0      0     0 ?        S    11:13   0:00 [kworker/u:1]
root       164  0.0  0.0      0     0 ?        S    11:13   0:00 [kworker/u:2]
root       250  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       251  0.0  0.0      0     0 ?        S<   11:14   0:00 [kcryptd_io]
root       252  0.0  0.0      0     0 ?        S<   11:14   0:00 [kcryptd]
root       259  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       264  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       269  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       274  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       279  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       284  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       289  0.0  0.0      0     0 ?        S<   11:14   0:00 [kdmflush]
root       305  0.0  0.0      0     0 ?        S    11:15   0:00 [jbd2/dm-1-8]
root       306  0.0  0.0      0     0 ?        S<   11:15   0:00 [ext4-dio-unwrit]
root       362  0.1  0.1   2588  1096 ?        S<s  11:15   0:00 udevd --daemon
root       530  0.0  0.0      0     0 ?        S    11:15   0:00 [kworker/0:3]
root       555  0.0  0.0      0     0 ?        S    11:15   0:00 [flush-254:1]
root       884  0.0  0.0      0     0 ?        S    11:15   0:00 [jbd2/dm-3-8]
root       885  0.0  0.0      0     0 ?        S<   11:15   0:00 [ext4-dio-unwrit]
root       886  0.0  0.0      0     0 ?        S    11:15   0:00 [jbd2/dm-4-8]
root       887  0.0  0.0      0     0 ?        S<   11:15   0:00 [ext4-dio-unwrit]
root       888  0.0  0.0      0     0 ?        S    11:15   0:00 [jbd2/dm-7-8]
root       889  0.0  0.0      0     0 ?        S<   11:15   0:00 [ext4-dio-unwrit]
root       890  0.0  0.0      0     0 ?        S    11:15   0:00 [jbd2/dm-5-8]
root       891  0.0  0.0      0     0 ?        S<   11:15   0:00 [ext4-dio-unwrit]
root       892  0.0  0.0      0     0 ?        S    11:15   0:00 [jbd2/dm-6-8]
root       893  0.0  0.0      0     0 ?        S<   11:15   0:00 [ext4-dio-unwrit]
daemon    1170  0.0  0.0   1856   492 ?        Ss   11:15   0:00 /sbin/portmap -i 127.0.0.1
statd     1182  0.0  0.0   1984   768 ?        Ss   11:15   0:00 /sbin/rpc.statd
root      1347  0.0  0.0   2080    88 tty6     Ss   11:15   0:00 init [S]         
root      1348  0.5  0.1   3096  1720 tty6     S    11:15   0:00 bash
root      1349  0.0  0.0      0     0 ?        S    11:15   0:00 [flush-254:3]
root      1350  0.0  0.0      0     0 ?        S    11:15   0:00 [flush-254:4]
root      1351  0.0  0.0      0     0 ?        S    11:15   0:00 [flush-254:5]
root      1352  0.0  0.0      0     0 ?        S    11:15   0:00 [flush-254:6]
root      1353  0.0  0.0      0     0 ?        S    11:15   0:00 [flush-254:7]
root      1367  0.0  0.0   2584   956 ?        S<   11:16   0:00 udevd --daemon
root      1369  0.0  0.0   2584   956 ?        S<   11:16   0:00 udevd --daemon
root      1407  0.0  0.0   2400   932 tty6     R+   11:16   0:00 ps aux


[4]. result of lsmod, KMS disabled:

Module                  Size  Used by
fuse                   55666  1 
processor              26983  1 
ext4                  270998  6 
mbcache                12810  1 ext4
jbd2                   55701  1 ext4
crc16                  12327  1 ext4
sha256_generic         16709  2 
aes_i586               16608  2 
aes_generic            37066  1 aes_i586
cbc                    12659  1 
dm_crypt               17809  1 
dm_mod                 56401  26 dm_crypt
sd_mod                 35060  2 
crc_t10dif             12332  1 sd_mod
ata_piix               21079  1 
libata                132100  1 ata_piix
scsi_mod              134453  2 sd_mod,libata
usbcore                99225  1 
thermal_sys            17667  1 processor




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Wed, 22 Jun 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Jun 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #92 received at 583120@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>, 583120@bugs.debian.org
Subject: Re: Bug#583120: Test with 2.6.39-2-686-pae
Date: Wed, 22 Jun 2011 02:53:05 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-06-21 at 11:50 +0200, Kjö Hansi Glaz wrote:
> Hi,
> 
> I run basically the same tests as intrigeri did with linux-image
> 2.6.39-2-686-pae (installed in a squeeze system).
>
>
> single user mode with KMS
> =========================
> 
> 1) boot in single user mode (see [1] for result of `ps aux`)
> 2) remove unused modules (see [2] for reslut of `lsmod`)
> 3) `echo freezer > /sys/power/pm_test` ; `echo disk > /sys/power/state`
>    the freeze successes (stuff happens then bash comes back)
> 4) `echo devices > /sys/power/pm_test` ; `echo disk > /sys/power/state`
>    the screen remains black, power and battery LEDs on, kernel doesn't
>    answer to sysrq
> 
> 
> single user mode without KMS
> ============================
> 
> 1) boot in single user mode with `radeon.modeset=0` on kernel command line
>    (see [3] for result of `ps aux`)
> 2) remove unused modules (see [4] for reslut of `lsmod`)
> 3) `echo freezer > /sys/power/pm_test` ; `echo disk > /sys/power/state`
>    the freeze successes
> 4) `echo devices > /sys/power/pm_test` ; `echo disk > /sys/power/state`
>    seems to succeed (stuff happens then bash comes back)
[...]

Please can you put this information in a bug report on
<https://bugs.freedesktop.org>, under product 'DRI', component
'DRM/Radeon'.  Let us know the bug number or URL so we can track it.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream and moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 22 Jun 2011 01:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#583120; Package linux-2.6. (Wed, 22 Jun 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Jun 2011 09:27:09 GMT) Full text and rfc822 format available.

Message #99 received at 583120@bugs.debian.org (full text, mbox):

From: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>
To: 583120@bugs.debian.org
Subject: Bug#583120: bug registered on freedesktop bugzilla
Date: Wed, 22 Jun 2011 11:25:33 +0200
> [...]
> 
> Please can you put this information in a bug report on
> <https://bugs.freedesktop.org>, under product 'DRI', component
> 'DRM/Radeon'.  Let us know the bug number or URL so we can track it.
> 
Done, bug 38554 [1].

[1]. https://bugs.freedesktop.org/show_bug.cgi?id=38554




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 22 Jun 2011 09:36:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=38554'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 22 Jun 2011 09:36:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:46:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.